Package io.dapr.client.domain

# Class SubscriptionMetadata

java.lang.Object
io.dapr.client.domain.SubscriptionMetadata

public final class SubscriptionMetadata extends Object
SubscriptionMetadata describes the Subscription Metadata.

## Constructor Summary

Constructors
Constructor
Description
`SubscriptionMetadata(String pubsubname, String topic, Map<String,String> metadata, List<RuleMetadata> rules, String deadLetterTopic)`
Constructor for a SubscriptionMetadata.

## Method Summary

Modifier and Type
Method
Description
`String`
`getDeadLetterTopic()`
`Map<String,String>`
`getMetadata()`
`String`
`getPubsubname()`
`List<RuleMetadata>`
`getRules()`
`String`
`getTopic()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubscriptionMetadata

public SubscriptionMetadata(String pubsubname, String topic, Map<String,String> metadata, List<RuleMetadata> rules, String deadLetterTopic)
Constructor for a SubscriptionMetadata.

Parameters:
  `pubsubname` - component name
  `topic` - of the pubsub component
  `metadata` - of the pubsub component
  `rules` - subscription path rules
  `deadLetterTopic` - dead letter topic

## Method Details

### getPubsubname

public String getPubsubname()

### getTopic

public String getTopic()

### getMetadata

public Map<String,String> getMetadata()

### getRules

public List<RuleMetadata> getRules()

### getDeadLetterTopic

public String getDeadLetterTopic()